org.eclipse.actf.util.win32

## Class RegistryUtil

- java.lang.Object
- - org.eclipse.actf.util.win32.RegistryUtil

    public class RegistryUtil
    extends Object

### Field Summary

Fields
`static int` `HKEY_CLASSES_ROOT`
`static int` `HKEY_CURRENT_USER`
`static int` `HKEY_LOCAL_MACHINE`

### Constructor Summary

Constructors
Constructor and Description
`RegistryUtil()`

### Method Summary

Methods
`static int` `getRegistryInt(int hKeyParent, String subKeyString, String valueString)`
`static String` `getRegistryString(int hKeyParent, String subKeyString, String valueString)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HKEY_CLASSES_ROOT

    public static final int HKEY_CLASSES_ROOT

See Also:
  Constant Field Values

#### HKEY_CURRENT_USER

    public static final int HKEY_CURRENT_USER

See Also:
  Constant Field Values

#### HKEY_LOCAL_MACHINE

    public static final int HKEY_LOCAL_MACHINE

See Also:
  Constant Field Values

### Constructor Detail

#### RegistryUtil

    public RegistryUtil()

### Method Detail

#### getRegistryInt

    public static int getRegistryInt(int hKeyParent,
                     String subKeyString,
                     String valueString)

#### getRegistryString

    public static String getRegistryString(int hKeyParent,
                           String subKeyString,
                           String valueString)